var itemID = 2097; var damage = 0; 
var quantity = prices [itemID] [1]; var price = prices [itemID] [3]; 

if (blockID == 206 && blockMD == 9 && timing > 4)
{if (pinv.consumeItemAmount(2097,0,4) == true) {player.dropItem(Item(4, 1)); crafting_xp += 1.5; timing = 0;
itemSearch = player.getEntitiesWithinRange(0.5); for (var i = 0; i < itemSearch.length; i++) {var ent1 = itemSearch[i]; 
if (ent1.getClassType() == "Item") {ent1 = ent1.setPosition(hitBlock.x + 0.5,hitBlock.y + 0.7,hitBlock.z + 0.5);}}}}